## Class TViewStateDiff

Description

Calculates the viewstate changes during the request.

- abstract:
- since: 3.1
- version: $Id: TActiveControlAdapter.php 2419 2008-04-08 15:52:53Z tof $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Web/UI/ActiveControls/TActiveControlAdapter.php (line 381)

Direct descendents

Class | Description
--- | ---
TScalarDiff | TScalarDiff class.
TStyleDiff | TStyleDiff class.
TMapCollectionDiff | TAttributesDiff class.

Variable Summary
mixed $_new
object null $_null
mixed $_old
Method Summary
TViewStateDiff __construct (mixed $new, mixed $old, object representing $null)
mixed getDifference ()
Variables
mixed $_new (line 386)

- var: updated viewstate
- access: protected

object null $_null (line 394)

- var: value.
- access: protected

mixed $_old (line 390)

- var: viewstate value at the begining of the request.
- access: protected

Methods
Constructor __construct (line 402)

Constructor.

- access: public

TViewStateDiff __construct (mixed $new, mixed $old, object representing $null)

- mixed $new: updated viewstate value.
- mixed $old: viewstate value at the begining of the request.
- object representing $null: the null value.

getDifference (line 412)

- return: view state changes, nullObject if no difference.
- abstract:
- access: public

mixed getDifference ()

Redefined in descendants as:

- TScalarDiff::getDifference()
- TStyleDiff::getDifference()
- TMapCollectionDiff::getDifference()

Documentation generated on Mon, 21 Apr 2008 11:29:27 -0400 by phpDocumentor 1.3.0RC4